aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2019-07-28 19:53:45 +0300
committerromkatv <roman.perepelitsa@gmail.com>2019-07-28 19:53:45 +0300
commitfb88f83c924e538f4aeb17d73036db8f6c014b6e (patch)
tree9b0fd5c40f6e64606598f50ec70397ddeb60bd05
parentc87396abcbc497cc8063de5611a1160d97f362aa (diff)
add p9k_configure
-rw-r--r--internal/configure.zsh8
1 files changed, 7 insertions, 1 deletions
diff --git a/internal/configure.zsh b/internal/configure.zsh
index c75484a8..42e93f20 100644
--- a/internal/configure.zsh
+++ b/internal/configure.zsh
@@ -1,5 +1,5 @@
typeset -gr __p9k_wizard_columns=70
-typeset -gr __p9k_wizard_lines=28
+typeset -gr __p9k_wizard_lines=25
typeset -gr __p9k_zd=${${ZDOTDIR:-$HOME}:A}
typeset -gr __p9k_zd_u=${${(q-)__p9k_zd}/#(#b)$HOME(|\/*)/'~'$match[1]}
typeset -gr __p9k_cfg_basename=.p10k.zsh
@@ -43,3 +43,9 @@ function _p9k_can_configure() {
unfunction $0_error
}
}
+
+function p9k_configure() {
+ emulate -L zsh && setopt no_hist_expand extended_glob
+ $__p9k_root_dir/internal/wizard.zsh -d $__p9k_root_dir -f || return
+ source $__p9k_cfg_path
+}